Draft Circle/sv: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 5: Line 5:
{{GuiCommand/sv|Name=Draft Circle|Name/sv=Draft Circle|Workbenches=[[Draft Module/sv|Draft]], [[Arch Module/sv|Arch]]|MenuLocation=Draft -> Circle|Shortcut=C I|SeeAlso=[[Draft Arc/sv|Draft Arc]]}}
{{GuiCommand/sv|Name=Draft Circle|Name/sv=Draft Circle|Workbenches=[[Draft Module/sv|Draft]], [[Arch Module/sv|Arch]]|MenuLocation=Draft -> Circle|Shortcut=C I|SeeAlso=[[Draft Arc/sv|Draft Arc]]}}
</div>
</div>

==Description==


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 19: Line 21:
</div>
</div>


==Usage==
==Usage==

# Press the {{Button|[[Image:Draft Circle.png|16px]] [[Draft Circle|Draft Circle]]}} button, or press {{KEY|C}} then {{KEY|I}} keys.
# Press the {{Button|[[Image:Draft Circle.png|16px]] [[Draft Circle|Draft Circle]]}} button, or press {{KEY|C}} then {{KEY|I}} keys.
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button.
Line 92: Line 95:
{{Docnav|[[Draft_Fillet|Fillet]]|[[Draft_Arc|Arc]]|[[Draft_Module|Draft]]|IconL=Draft_Fillet.svg |IconC=Workbench_Draft.svg|IconR=Draft_Arc.svg}}
{{Docnav|[[Draft_Fillet|Fillet]]|[[Draft_Arc|Arc]]|[[Draft_Module|Draft]]|IconL=Draft_Fillet.svg |IconC=Workbench_Draft.svg|IconR=Draft_Arc.svg}}


{{Draft Tools navi}}
{{Draft Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}
{{clear}}
{{clear}}

Revision as of 17:51, 21 February 2020

Draft Circle

Menyplacering
Draft -> Circle
Arbetsbänkar
Draft, Arch
Standard genväg
C I
Introducerad i version
-
Se även
Draft Arc

Description

Beskrivning

Detta verktyg ritar en cirkel genom att fråga efter två punkter, Centrum och radie, genom att välja tangenter, eller någon kombination av dessa.

This tool works the same way as the Draft Arc tool, except that it creates a full circumference. To draw an ellipse use Draft Ellipse.

Usage

  1. Press the Draft Circle button, or press C then I keys.
  2. Click a first point on the 3D view, or type a coordinate and press the add point button.
  3. Click a second point on the 3D view, or enter a radius value.

The circle can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit button. Then you can move the center and radius points to a new position.

The circle can be turned into an arc after creation, by setting its first angle and last angle properties to different values.

Bruk

  • Det primära bruket av cirkelverktyget är att markera två punkter, centrumet och en punkt på omkretsen, vilket definierar radien.
  • Om man trycker ned ALT, så kan du välja en tangent istället för att markera en punkt. Du kan därför konstruera flera cirkeltyper genom att välja en, två eller tre tangenter.
  • Välj en punkt i ett tomt område i 3d vyn, eller på ett existerande objekt.
  • Nedtryckning av CTRL kommer att snäppa din punkt till tillgängliga snäpp-punkter.
  • Nedtryckning av SKIFT begränsar din nya punkt i relation till föregående punkt.
  • Skriv in siffror för att manuellt mata in en koordinat.
  • Om du trycker på ESC så avbryts funktionen.
  • Den skapade cirkeln kommer att ha nuvarande linjestil.

Properties

A Circle object shares all properties from a Draft Arc, but some properties only make sense for the circle.

Data

  • DataFirst Angle: specifies the starting angle of the circle; normally 0°.
  • DataLast Angle: specifies the ending angle of the circle; normally 0°.
  • DataRadius: specifies the radius of the circle.
  • DataMake Face: specifies if the Circle makes a face or not. If it is true a face is created, otherwise only the circumference is considered part of the object. This property only works if the shape is a full circumference.
For it to be a full circle DataFirst Angle and DataLast Angle should have the same value; otherwise, a Draft Arc is displayed. The values 0° and 360° aren't considered the same, so if these two values are used, the circle will not form a face.

View

  • VyPattern: specifies a Draft Pattern with which to fill the face of the circle. This property only works if DataMake Face is true, and if VyDisplay Mode is "Flat Lines".
  • VyPattern Size: specifies the size of the Draft Pattern.

Skriptning

Den skapade cirkeln är ett Del föremå som innehåller en kant med endast ett hörn.

The Circle tool can be used in macros and from the Python console by using the following function:

Circle = makeCircle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
Circle = makeCircle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Creates a Circle object with given radius in millimeters.
    • radius can also be a Part.Edge, whose Curve attribute must be a Part.Circle.
  • If a placement is given, it is used; otherwise the shape is created at the origin.
  • If face is True, the circle will make a face, that is, it will appear filled.
  • If startangle and endangle are given in degrees, and have different values, they are used and the object appears as a Draft Arc.

Example:

import FreeCAD, Draft

Circle1 = Draft.makeCircle(200)

ZAxis = FreeCAD.Vector(0, 0, 1)
p2 = FreeCAD.Vector(1000, 1000, 0)
place2 = FreeCAD.Placement(p2, FreeCAD.Rotation(ZAxis, 0))
Circle2 = Draft.makeCircle(500, placement=place2)

p3 = FreeCAD.Vector(-1000, -1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 0))
Circle3 = Draft.makeCircle(750, placement=place3)